Bug 733931 - [abrt] gtg-0.2.4-5.fc15: connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, t
Summary: [abrt] gtg-0.2.4-5.fc15: connection.py:630:call_blocking:DBusException: org.f...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gtg
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yanko Kaneti
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:db317e63ceef696c2f476dd3025...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-28 18:06 UTC by Dan
Modified: 2012-08-07 19:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:14:32 UTC


Attachments (Terms of Use)

Description Dan 2011-08-28 18:06:17 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        
component:      gtg
executable:     /usr/bin/gtg
kernel:         2.6.40.3-0.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        gtg-0.2.4-5.fc15
reason:         connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
time:           Mon Aug 22 21:39:42 2011
uid:            500
username:       dan

backtrace:
:connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
:
:Traceback (most recent call last):
:  File "/usr/bin/gtg", line 48, in <module>
:    sys.exit(GTG.gtg.main(options, args))
:  File "/usr/lib/python2.7/site-packages/GTG/gtg.py", line 108, in main
:    check_instance(config.DATA_DIR)
:  File "/usr/lib/python2.7/site-packages/GTG/gtg.py", line 84, in check_instance
:    CoreConfig.BUSINTERFACE)
:  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 244, in get_object
:    follow_name_owner_changes=follow_name_owner_changes)
:  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 241, in __init__
:    self._named_service = conn.activate_name_owner(bus_name)
:  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 183, in activate_name_owner
:    self.start_service_by_name(bus_name)
:  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 281, in start_service_by_name
:    'su', (bus_name, flags)))
:  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
:    message, timeout)
:DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
:
:Local variables in innermost frame:
:byte_arrays: False
:self: <dbus._dbus.SessionBus (session) at 0x2f2f830>
:args: ('org.GTG', 0)
:utf8_strings: False
:bus_name: 'org.freedesktop.DBus'
:get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
:object_path: '/org/freedesktop/DBus'
:timeout: -1.0
:signature: 'su'
:dbus_interface: 'org.freedesktop.DBus'
:message: <dbus.lowlevel.MethodCallMessage object at 0x29c9eb8>
:method: 'StartServiceByName'

comment:
:Launch GTG from the Applications list thing in Gnome 3/Fedora 15.
:
:If launched from a terminal, the following output is displayed, and GTG appears to hang.
:
:/usr/lib64/python2.7/site-packages/cluttergtk/__init__.py:35: Warning: cannot register existing type `GdkDisplayManager'
:  from cluttergtk import _cluttergtk
:/usr/lib64/python2.7/site-packages/cluttergtk/__init__.py:35: Warning: g_once_init_leave: assertion `initialization_value != 0' failed
:  from cluttergtk import _cluttergtk
:/usr/lib64/python2.7/site-packages/cluttergtk/__init__.py:35: Warning: g_type_register_static: assertion `parent_type > 0' failed
:  from cluttergtk import _cluttergtk
:/usr/lib64/python2.7/site-packages/cluttergtk/__init__.py:35: Warning: g_object_new: assertion `G_TYPE_IS_OBJECT (object_type)' failed
:  from cluttergtk import _cluttergtk
:
:GTG operated fine under Fedora 14. This crash is new since I upgraded the system to Fedora 15.

Comment 1 Stef Walter 2011-11-21 06:13:05 UTC
Package: gtg-0.2.4-5.fc15
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Starting up my computer.

Comment 2 benoît barthés 2012-06-04 04:18:06 UTC
since the update gtg does not work

initially
Gtk-Message: Failed to load module "pk-gtk-module"
....
Segfault


Package: gtg-0.2.4-6.fc17
OS Release: Fedora release 17 (Beefy Miracle)

Comment 3 Michael 2012-08-05 10:13:14 UTC
i go whit firefox to a flash video - the video and also firefox crash - this bug msg came after a reboot ....

Package: gtg-0.2.4-8.fc17
OS Release: Fedora release 17 (Beefy Miracle)

Comment 4 Fedora End Of Life 2012-08-07 19:14:34 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.